import React from "react";
import { useLocation, useNavigate } from "react-router-dom";
export function useScrollToLocation() {
  const scrolledRef = React.useRef(false);
  const navigate = useNavigate();
  const { hash } = useLocation();
  const hashRef = React.useRef(hash);
  const hashRetry = 100;

  function scrollToHash() {
    if (!hash) {
      window.scrollTo(0, 0);
      return;
    }
    if (hashRef.current !== hash) {
      hashRef.current = hash;
      scrolledRef.current = false;
    }
    if (scrolledRef.current) return;
    const id = hash.replace("#", "");
    const element = document.getElementById(id);
    if (!element) {
      setTimeout(scrollToHash, hashRetry);
      return;
    }

    element.scrollIntoView({
      behavior: "smooth",
      block: "start",
      inline: "nearest",
    });
    scrolledRef.current = true;
  }
  React.useEffect(scrollToHash);
}
