import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
export default function ContactStrip(props) {
  const { title, info, icon: Icon } = props;
  return (
    <Box
      className="static-contact"
      sx={{ display: "flex", mb: "2rem", width: "100%" }}
    >
      <Box
        className="contact-strip"
        style={{
          display: "flex",
          flexWrap: "wrap",
          margin: "0 auto",
          width: "100%",
          maxWidth: "380px",
        }}
      >
        <Box sx={{ textAlign: "left", display: "flex" }}>
          <Icon
            className="contact-icon"
            style={{ transition: "all 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms" }}
          />
          <Typography variant="h4">{title}</Typography>
        </Box>
        <Box sx={{ width: "100%", mt: ".25rem", display: "inline-flex" }}>
          <Box sx={{ maxWidth: "5.5rem", width: "100%" }} />
          <Typography
            className="contact-info"
            variant="body2"
            sx={{
              textAlign: "left",
              opacity: ".87",
            }}
          >
            {info}
          </Typography>
        </Box>
      </Box>
    </Box>
  );
}
