import React, { Suspense } from "react";
import Box from "@mui/material/Box";
import Header from "./Header.jsx";
import About from "./About.jsx";
import Education from "./Education.jsx";
import Experience from "./Experience.jsx";
import Contact from "./Contact.jsx";
//import Environments from "./Environments.jsx";
import ContentWrapper from "@components/ContentWrapper.jsx";

const Skills = React.lazy(() => import("./Skills.jsx"));
const Social = React.lazy(() => import("./Social.jsx"));
const Projects = React.lazy(() => import("./Projects.jsx"));
export default function Delta() {
  return (
    <ContentWrapper id="delta">
      <Header />
      <About />
      <Box style={{ display: "flex", flexWrap: "wrap" }}>
        <Education />

        <Experience />
      </Box>
      <Suspense>
        <Projects />
        <Skills />
        <Social />
        <Contact />
      </Suspense>
    </ContentWrapper>
  );
}
