import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import ExperienceDisplay from "@components/ExperienceDisplay.jsx";

export default function Education() {
  return (
    <Box
      style={{
        padding: 10,
        scrollMarginTop: "4rem",
        maxWidth: "500px",
        margin: "0 auto",
        textAlign: "left",
        width: "100%",
      }}
      id="education"
    >
      <Typography
        variant="h2"
        sx={{ margin: "1rem auto", fontSize: 30, pb: ".5rem" }}
      >
        Education
      </Typography>
      <Box className="education-list">
        <ExperienceDisplay
          title="Computer Science Student"
          subtitle="Jan 2024 - Present"
        >
          <Typography sx={{ pt: "1rem" }}>
            Pursuing B.S. in Computer Science: Software Engineering program,
            completed 11 credits. Anticipated graduation December 2027
          </Typography>
        </ExperienceDisplay>
        <ExperienceDisplay
          title="Full Stack Web Development"
          subtitle="Dec 2018 - May 2020 | Bottega devCamp"
        >
          <Typography sx={{ pt: "1rem" }}>
            Certificate of Competency in advanced Python, database foundations,
            system analysis, UML, and advanced web development using HTML,
            JavaScript, React, XML, and JSON
          </Typography>
        </ExperienceDisplay>
        <ExperienceDisplay
          title="High School Diploma"
          subtitle="Aug 2017 - May 2020 |  American Fork Highschool"
        >
          <Typography sx={{ pt: "1rem" }}>
            GPA 3.9, CS Department Choice Award, Co-founder and President
            Computer Science Club, 4 years programming, student tutor, AP
            courses in Computer Science, Calculus, Mechanics, and Government
          </Typography>
        </ExperienceDisplay>
        <ExperienceDisplay
          title="Cyber Security and Networking"
          subtitle="Jan 2019 - May 2019 | AFA’s CyberPatriot"
        >
          <Typography sx={{ pt: "1rem" }}>
            2nd Place state networking security challenge, curriculum included
            Ubuntu security policies and PAM, networking, init systems, advanced
            command line, processes, and scheduled tasks
          </Typography>
        </ExperienceDisplay>
      </Box>
    </Box>
  );
}
