import { Link } from "react-router-dom";
import Box from "@mui/material/Box";
import Chip from "@mui/material/Chip";
import useMediaQuery from "@mui/material/useMediaQuery";
import { useTheme } from "@mui/material/styles";
/*import ContactCard from "./ContactCard.jsx";
<ContactCard name={name} title={title} linkedin={linkedin}/>*/
import Typography from "@mui/material/Typography";
export default function ReferenceCard(props) {
  const { name, title, linkedin, reference } = props;
  const theme = useTheme();
  const smallMode = true; //useMediaQuery(theme.breakpoints.down("md"));

  return (
    <Box
      style={{
        display: "flex",
        width: "100%",
        alignItems: "center!important",
        flexWrap: smallMode ? "wrap" : "nowrap",
        marginBottom: "4rem",
      }}
    >
      <div style={{ width: "100%" }}>
        <div
          style={{
            maxWidth: 512,
            marginLeft: "auto",
            marginRight: smallMode ? "auto" : "",
            textAlign: smallMode ? "center" : "left",
            display: "flex",
          }}
        >
          <div
            style={{
              margin: "0 auto",
              marginBottom: ".5rem",
              textAlign: "center",
            }}
          >
            <Typography
              variant="h5"
              component={Link}
              to={linkedin}
              sx={{ textDecoration: "none", color: "inherit" }}
            >
              {name}
            </Typography>
            <Typography variant="h6">{title}</Typography>
          </div>
        </div>
      </div>

      <Box
        style={{
          width: "100%",
          alignItems: "flex-start",
          display: "flex",
          flexWrap: "wrap",
          flexDirection: "column",
          margin: "auto",
          maxWidth: 1024,
        }}
      >
        <div
          style={{
            display: "flex",
            justifyContent: smallMode ? "center" : "",
            width: "100%",
          }}
        >
          <Typography
            gutterBottom
            variant="subtitle1"
            component="div"
            style={{
              textAlign: smallMode ? "" : "left",
              width: smallMode ? "80%" : "100%",
              fontStyle: "italic",
            }}
          >
            {reference}
          </Typography>
        </div>
      </Box>
    </Box>
  );
  i;
}
