import React from "react";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import ContactCard from "./ContactCard.jsx";
import ReferenceCard from "./ReferenceCard.jsx";
const people = [
  {
    name: "Ethan  Maughan",
    title: "Team Manager, Podium",
    linkedin: "https://www.linkedin.com/in/ethan-maughan-87469214a",
    reference: `When I worked with Elijah he proved that he not only was incredibly driven and dedicated to the team, but also someone who can learn and adapt very quickly. He goes about each task with a "can do" mentality, and he helped us achieve team goals faster than expected more than once.`,
  },
  /*  {
    name: "Josh Butler",
    title: "Coworker, Podium",
    linkedin: "https://www.linkedin.com/in/josh-butler-7372a97",
  },*/
  {
    name: "Trevor Ah Sue",
    title: "Coworker, Podium",
    linkedin: "https://www.linkedin.com/in/trevor-ah-sue/",
    reference: `I had the privilege of working closely with Elijah Parker on the QA team over the course of his tenure at Podium. He is a very diligent and dedicated individual and he is more than qualified for any software engineering role. Elijah started at Podium as an intern but was quickly able to start contributing as a valued team member. In just weeks, he became very comfortable working in our codebase and learned the ins and outs of our team. 

One of Elijah’s greatest strengths is his ability to manage large-scale projects. I worked with Elijah closely on our team's API testing project. We had started this project a few months before he joined the team. He was able to quickly learn the project and start making some major contributions to it. He mainly worked on refactoring the code base to make it more structured as we added more API tests to the project. His changes were essential and helped our team by consolidating redundant code. He made some major changes to our original code that helped with readability and efficiency.

I was also impressed by Elijah’s dedication to writing clean code and his focus on documentation. Before leaving Podium, he wrote clear documents for each project he worked on. He provided documents, training videos, and flowcharts to easily communicate his work to the team after he was gone.

In summary, Elijah is an exceptional engineer who embodies qualities of diligence, knowledge, quick learning, and versatility. I have no doubt that he will be a tremendous asset to any organization or project. If you have any further questions or need additional information, please feel free to contact me.`,
  },
];

export default function References() {
  return (
    <Box style={{ padding: 10, scrollMarginTop: "4rem" }} id="references">
      <div style={{ display: "flex" }}>
        <Typography variant="h2" sx={{ margin: "2rem auto", fontSize: 30 }}>
          Primary References
        </Typography>
      </div>
      <Box
        sx={{
          display: "flex",
          flexWrap: "wrap",
          justifyContent: "center",
        }}
      >
        {people.map((p, i) => (
          <ReferenceCard
            key={i}
            name={people[i].name}
            title={people[i].title}
            linkedin={people[i].linkedin}
            reference={people[i].reference}
          />
        ))}
      </Box>
    </Box>
  );
}
